org.icefaces.ace.component.list

## Class ListRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.icefaces.ace.renderkit.CoreRenderer
    - - org.icefaces.ace.component.list.ListRenderer

-     public class ListRenderer
      extends CoreRenderer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `bodyStyleClass`
    `static java.lang.String` | `containerStyleClass`
    `static java.lang.String` | `controlsContainerStyleClass`
    `static java.lang.String` | `controlsItemSpacerClass`
    `static java.lang.String` | `controlsItemStyleClass`
    `static java.lang.String` | `disabledItemStyleClass`
    `static java.lang.String` | `footerStyleClass`
    `static java.lang.String` | `headerStyleClass`
    `static java.lang.String` | `itemStyleClass`
    `static java.lang.String` | `miniClass`
    `static java.lang.String` | `placeholderStyleClass`
    `static java.lang.String` | `pointerStyleClass`
    `static java.lang.String` | `selectedItemStyleClass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.icefaces.ace.renderkit.CoreRenderer

      `addToAutoUpdate, convertClientId, decodeBehaviors, decodeBehaviors, encodeClientBehaviors, escapeText, getActionURL, getComponentResourceBundle, getEncodedURL, getEscapedClientId, getLocalisedMessageFromBundle, getResourceRequestPath, getResourceURL, isAjaxRequest, isPostBack, isPostback, isValueBlank, isValueEmpty, renderChild, renderChildren, renderPassThruAttributes, renderPassThruAttributes, renderPassThruAttributes, resolveWidgetVar, shouldRenderAttribute, themeForms`

    - ### Methods inherited from class javax.faces.render.Renderer

      `getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### containerStyleClass

          public static final java.lang.String containerStyleClass

      See Also:
        Constant Field Values

    - #### controlsContainerStyleClass

          public static final java.lang.String controlsContainerStyleClass

      See Also:
        Constant Field Values

    - #### pointerStyleClass

          public static final java.lang.String pointerStyleClass

      See Also:
        Constant Field Values

    - #### bodyStyleClass

          public static final java.lang.String bodyStyleClass

      See Also:
        Constant Field Values

    - #### miniClass

          public static final java.lang.String miniClass

      See Also:
        Constant Field Values

    - #### itemStyleClass

          public static final java.lang.String itemStyleClass

      See Also:
        Constant Field Values

    - #### selectedItemStyleClass

          public static final java.lang.String selectedItemStyleClass

      See Also:
        Constant Field Values

    - #### disabledItemStyleClass

          public static final java.lang.String disabledItemStyleClass

      See Also:
        Constant Field Values

    - #### controlsItemStyleClass

          public static final java.lang.String controlsItemStyleClass

      See Also:
        Constant Field Values

    - #### controlsItemSpacerClass

          public static final java.lang.String controlsItemSpacerClass

      See Also:
        Constant Field Values

    - #### headerStyleClass

          public static final java.lang.String headerStyleClass

      See Also:
        Constant Field Values

    - #### footerStyleClass

          public static final java.lang.String footerStyleClass

      See Also:
        Constant Field Values

    - #### placeholderStyleClass

          public static final java.lang.String placeholderStyleClass

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ListRenderer

          public ListRenderer()

  - ### Method Detail

    - #### decode

          public void decode(javax.faces.context.FacesContext context,
                             javax.faces.component.UIComponent component)

      Overrides:
        `decode` in class `javax.faces.render.Renderer`

    - #### encodeBegin

          public void encodeBegin(javax.faces.context.FacesContext context,
                                  javax.faces.component.UIComponent component)
                           throws java.io.IOException

      Overrides:
        `encodeBegin` in class `javax.faces.render.Renderer`
      Throws:
        `java.io.IOException`

    - #### encodeChildren

          public void encodeChildren(javax.faces.context.FacesContext context,
                                     javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Overrides:
        `encodeChildren` in class `javax.faces.render.Renderer`
      Throws:
        `java.io.IOException`

    - #### encodeEnd

          public void encodeEnd(javax.faces.context.FacesContext context,
                                javax.faces.component.UIComponent component)
                         throws java.io.IOException

      Overrides:
        `encodeEnd` in class `javax.faces.render.Renderer`
      Throws:
        `java.io.IOException`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.